groovy.json.internal

## Class MapItemValue

- java.lang.Object
- - groovy.json.internal.MapItemValue

- All Implemented Interfaces:
    Map.Entry<String,Value>

      public class MapItemValue
      extends Object
      implements Map.Entry<String,Value>

  This holds a mapping from value key to value value to maximize laziness.
  Author:
    Rick Hightower

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static ConcurrentHashMap<String,String>` | `internedKeysCache`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapItemValue(Value name, Value value)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getKey()`
    `Value` | `getValue()`
    `Value` | `setValue(Value value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map.Entry

      `equals, hashCode`

- - ### Field Detail

    - #### internedKeysCache

          protected static ConcurrentHashMap<String,String> internedKeysCache

  - ### Constructor Detail

    - #### MapItemValue

          public MapItemValue(Value name,
                      Value value)

  - ### Method Detail

    - #### getKey

          public String getKey()

      Specified by:
        `getKey` in interface `Map.Entry<String,Value>`

    - #### getValue

          public Value getValue()

      Specified by:
        `getValue` in interface `Map.Entry<String,Value>`

    - #### setValue

          public Value setValue(Value value)

      Specified by:
        `setValue` in interface `Map.Entry<String,Value>`